Tool
deployment_environment_fork
Fork an environment: deep-clone services, variables (not secrets), domains, and volumes from a base environment
Fork an environment: deep-clone services, variables (not secrets), domains, and volumes from a base environment
Behavior
- HTTP
POST /deployment/environments/fork
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | • | No description in the catalog. |
| slug | string | — | No description in the catalog. |
| baseEnvironmentId | string | • | No description in the catalog. |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| name | string | • | |
| slug | string | • | |
| type | string | • | |
| status | string | • | |
| prBranch | string | • | |
| prNumber | integer | • | |
| createdAt | string | • | |
| expiresAt | string | • | |
| updatedAt | string | • | |
| isProduction | boolean | • | |
| lastErrorMessage | string | • | |
| baseEnvironmentId | string | • |
Try it
Fork an environment: deep-clone services, variables (not secrets), domains, and volumes from a base environment.